$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $(".tbody").on("blur", '.rate', autoAddRows);

    $("body").on("blur focus keyup click", '.amount, .subtotal, .packing, .cgstperc, .sgstperc, .igstperc, .cdiscperc, .cdiscamt, .netamt, .lessoth, .remove,.oms,.gstperc', mainbCal);
    $("body").on("focus", '.amount', autoAddRows);
    $("body").on("click change blur", ".oms, .gstperc", getGSTPerc);



    function getGSTPerc() {
        var gstperc = $(".gstperc").val();
//                getdcPerc = 0;

        $.post('getGSTPerc.php', {gstperc: gstperc}, function (data) {

            var mgstperc = data.gstperc,
                    mgst = mgstperc / 2;

            if ($(".oms").prop('checked')) {
                $('.igstperc').val(mgstperc);
                $('.cgstperc').val(0);
                $('.sgstperc').val(0);
                $('.cgstamt').val(0);
                $('.sgstamt').val(0);

            } else {
                $('.cgstperc').val(mgst);
                $('.sgstperc').val(mgst);
                $('.igstperc').val(0);
                $('.igstamt').val(0);
            }

        }, 'json');
        mainbCal();
    }



    $(document).keydown(function (event) {
        if (!(String.fromCharCode(event.which).toLowerCase() == 'd' && event.altKey) && !(event.which == 19))
            return true;
        $(".cdicsperc ").focus();
        event.preventDefault();
        return false;
    });

    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();

        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('credoth_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function mainbCal() {


        var val = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                val += parseFloat(this.value);
            }
        });

        $(".subtotal").val(val);

        var subtot = $(".subtotal").val();
        var packing = $(".packing").val();
        var lessoth = $(".lessoth").val();

        var discperc = $(".cdicsperc").val(),
                cdiscamt = (discperc * subtot) / 100;

        if (isNaN(cdiscamt)) {
            $('.cdiscamt').val("0");
        } else {
            $('.cdiscamt').val(cdiscamt);
        }



        var taxable = parseFloat(subtot) - parseFloat(cdiscamt) - parseFloat(lessoth) + parseFloat(packing);


        var cgstperc = parseFloat($(".cgstperc").val());
        var sgstperc = parseFloat($(".sgstperc").val());
        var igstperc = parseFloat($(".igstperc").val());

        var cgstamt = taxable * cgstperc / 100;
        var sgstamt = taxable * sgstperc / 100;
        var igstamt = taxable * igstperc / 100;
//                netamt = (parseFloat(subtotal) - parseFloat(litemdisc) - parseFloat(cdiscamt) - parseFloat(lesother) + parseFloat(couamt)).toFixed(0),
        var netamt = (parseFloat(taxable) + parseFloat(cgstamt) + parseFloat(sgstamt) + parseFloat(igstamt)).toFixed(0);


        $(".taxamt").val(taxable);
        $(".igstamt").val(igstamt);
        $(".cgstamt").val(cgstamt);
        $(".sgstamt").val(sgstamt);

        $(".netamt").val(netamt);
    }


});